From: Sophie Brun <sophie@offensive-security.com>
Date: Thu, 23 Jan 2025 15:36:18 +0100
Subject: Replace appdirs with platformdirs

appdirs is deprecated and has been removed from Debian.
The active fork is platformdirs.
---
 ciphey/ciphey.py        | 8 ++++----
 ciphey/iface/_config.py | 4 ++--
 pyproject.toml          | 2 +-
 3 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/ciphey/ciphey.py b/ciphey/ciphey.py
index 6fffba7..cf8a4a1 100644
--- a/ciphey/ciphey.py
+++ b/ciphey/ciphey.py
@@ -16,7 +16,7 @@ import warnings
 from typing import Any, Optional, Union
 
 import click
-from appdirs import AppDirs
+from platformdirs import PlatformDirs
 from loguru import logger
 from rich.console import Console
 
@@ -77,7 +77,7 @@ def print_help(ctx):
 @click.option(
     "-c",
     "--config",
-    help="Uses the given config file. Defaults to appdirs.user_config_dir('ciphey', 'ciphey')/'config.yml'",
+    help="Uses the given config file. Defaults to platformdirs.user_config_dir('ciphey', 'ciphey')/'config.yml'",
 )
 @click.option("-w", "--wordlist", help="Uses the given wordlist")
 @click.option(
@@ -158,10 +158,10 @@ def main(**kwargs):
             The output of the decryption.
     """
 
-    # if user wants to know where appdirs is
+    # if user wants to know where platformdirs is
     # print and exit
     if "appdirs" in kwargs and kwargs["appdirs"]:
-        dirs = AppDirs("Ciphey", "Ciphey")
+        dirs = PlatformDirs("Ciphey", "Ciphey")
         path_to_config = dirs.user_config_dir
         print(
             f"The settings.yml file should be at {os.path.join(path_to_config, 'settings.yml')}"
diff --git a/ciphey/iface/_config.py b/ciphey/iface/_config.py
index aa7f9b6..36f49f6 100644
--- a/ciphey/iface/_config.py
+++ b/ciphey/iface/_config.py
@@ -3,7 +3,7 @@ import os
 import pydoc
 from typing import Any, Callable, Dict, List, Optional, Type, Union
 
-import appdirs
+import platformdirs
 import yaml
 from loguru import logger
 
@@ -66,7 +66,7 @@ class Config:
 
     @staticmethod
     def get_default_dir() -> str:
-        return appdirs.user_config_dir("ciphey")
+        return platformdirs.user_config_dir("ciphey")
 
     def merge_dict(self, config_file: Optional[Dict[str, Any]]):
         if config_file is None:
diff --git a/pyproject.toml b/pyproject.toml
index 223b6e9..91abc61 100644
--- a/pyproject.toml
+++ b/pyproject.toml
@@ -17,7 +17,7 @@ pylint = "^2.6.0"
 flake8 = "^3.8.4"
 cipheydists = "^0.3.34"
 cipheycore = "^0.3.2"
-appdirs = "^1.4.4"
+platformdirs = "^4.3.6"
 typing_inspect = { version = "^0.6.0", python = "~3.7" }
 base58 = "^2.0.1"
 base91 = "^1.0.1"
